Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113482 - libifp: FTBFS in Fedora rawhide/f37
Summary: libifp: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libifp
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:52 UTC by Fedora Release Engineering
Modified: 2023-08-09 02:32 UTC (History)
2 users (show)

Fixed In Version: libifp-1.0.0.2-52.fc39 libifp-1.0.0.2-52.fc38 libifp-1.0.0.2-52.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-07 16:53:58 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:52 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:52 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:52 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:52:25 UTC
libifp failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89818153


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix libifp at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libifp will be orphaned. Before branching of Fedora 38,
libifp will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:52:28 UTC
Created attachment 1901871 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:52:29 UTC
Created attachment 1901872 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:52:30 UTC
Created attachment 1901873 [details]
state.log

Comment 4 Conrad Meyer 2022-08-02 01:47:23 UTC
It fails to build only on s390, seemingly because:

> No matching package to install: 'libusb-devel'

This package is for a fairly old piece of consumer hardware; there is probably zero overlap with s390 -- we could just ExcludeArch s390 (or whatever).  On the other hand, this package could also probably just be retired.  (I'm no longer using the device it interacts with myself.)

Comment 5 Ben Cotton 2022-08-09 13:30:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 6 Fedora Admin user for bugzilla script actions 2023-08-02 00:07:05 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Admin user for bugzilla script actions 2023-08-07 12:07:14 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Update System 2023-08-07 14:52:22 UTC
FEDORA-2023-b675cbe972 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b675cbe972

Comment 9 Fedora Update System 2023-08-07 16:53:58 UTC
FEDORA-2023-b675cbe972 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-08-07 19:56:17 UTC
FEDORA-2023-1ed72d7ae9 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1ed72d7ae9

Comment 11 Fedora Update System 2023-08-07 20:17:34 UTC
FEDORA-2023-495805e87c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-495805e87c

Comment 12 Fedora Update System 2023-08-08 01:51:23 UTC
FEDORA-2023-495805e87c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-495805e87c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-495805e87c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-08-08 01:57:13 UTC
FEDORA-2023-1ed72d7ae9 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1ed72d7ae9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1ed72d7ae9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-08-09 01:31:38 UTC
FEDORA-2023-1ed72d7ae9 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-08-09 02:32:29 UTC
FEDORA-2023-495805e87c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.